{% load static %}

<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>WashYourLyrics</title>
    <!--AJAX-->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.3/css/all.min.css" />
    <!--Bootstrap-->
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.5.3/dist/css/bootstrap.min.css"
        integrity="sha384-TX8t27EcRE3e/ihU7zmQxVncDAy5uIKz4rEkgIXeMed4M0jlfIDPvg6uqKI2xXr2" crossorigin="anonymous">
    <!--External CSS for navbar and footer-->
    <link rel="stylesheet" href="{% static 'css/homepage_styles.css' %}">
    <!--External CSS for input page-->
    <link rel="stylesheet" href="{% static 'css/lyrics_in_style.css' %}">
    <!--JQuery-->
    <script src="https://code.jquery.com/jquery-3.6.0.min.js"
        integrity="sha256-/xUj+3OJU5yExlq6GSYGSHk7tPXikynS7ogEvDej/m4=" crossorigin="anonymous"></script>
</head>

<body>
    {% include "navbar_new.html" %}
    <div class="container-fluid">
        <header>
            <p class="title">Wash Your Lyrics</p>
            <p class="caption">
                Tahukah kamu bahwa diperlukan waktu selama minimal 20 detik untuk mencuci tangan hingga bersih?
                <br>Kalau
                begitu, mari mencuci tangan sambil menyanyikan lagu kesukaanmu!
            <p class="orisinal">lihat versi orisinal <a href="https://washyourlyrics.com/"
                    target="_blank">washyourlyrics</a> dan poster
                <a href="https://www.rawpixel.com/image/2298805/free-illustration-vector-hands-covid-wash"
                    target="_blank">rawpixel</a>
            </p>
        </header>
        <main>
            <img class="animate" src="{% static 'assets/illustration.png' %}" width="250px"
                alt="Yuk, masukkan lirik atau kutipan kerenmu!">
            {% if user.is_authenticated %}
            <form id="form-lyrics" action="" method="POST">
                <!--token to prevent cross-site request forgery-->
                {% csrf_token %}
                <!--render django form as paragraph-->
                {{ form.as_p }}
                <input type="submit" class="submit-btn" value="Submit">
            </form>
            <div class="pop-up"></div>
            {% else %}
            <p><a href="/register/login">Login dulu</a>, yuk untuk menggunakan WashYourLyrics!</p>
            {% endif %}
        </main>
    </div>
    {% include "footer_new.html" %}
    <script>
        $(document).ready(function () {
            $(".submit-btn").click(function (e) {
                let inputText = document.querySelectorAll("[type=text]");
                for (let i = 0; i < inputText.length; i++) {
                    // check if there is any empty input field
                    if (inputText[i].value == "") {
                        // give notice to fill all input field
                        $.ajax({
                            url: "{% static 'notice.txt' %}",
                            type: "GET",
                            success: function (res) {
                                // prevent normal behaviour of submit which is refresh step
                                e.preventDefault();
                                // display notice
                                let noticeContent = $("<p></p>").text(res);
                                let noticeBox = $("<div></div>", { class: "notice" }).append(noticeContent);
                                $(".pop-up").append(noticeBox);
                                setTimeout(
                                    function () {
                                        $(".notice").remove();
                                    },
                                    2500)
                            }
                        })
                        break;
                    }
                }
            })
        })
    </script>
</body>

</html>